0

Tried https://github.com/magento/marketplace-eqp .

Getting error PHP Deprecated: Array and string offset access syntax with curly braces is deprecated in vendor/squizlabs/php_codesniffer/src/Config.php on line 407

command use to check php74 vendor/bin/phpcs -i

1 Answer 1

0

From what I see, that one is for M1. The one for M2 is here: https://github.com/magento/magento-coding-standard.

I have not added it to the path, instead, I have created an alias, like:

alias check='/path/to/directory/vendor/bin/phpcs --standard=Magento2'

And now I can run from the cmd

check /path/to/file/to/be/checked

And the same for the fix command.

2
  • The agenda here is to submit my plugin to the marketplace. I have already checked the plugin for the Magento coding standard (github.com/magento/magento-coding-standard). What I need to check now is for standards for submitting the plugin to the marketplace which is where I am stuck now Jan 25 at 11:16
  • I have not submitted any extension to the marketplace, but from what I see in the devdocs, devdocs.magento.com/marketplace/sellers/code-sniffer.html it being used to check all the extensions before submittal: "Code Sniffer is mandatory for extensions of any type. When you submit an extension, Magento uses Code Sniffer to analyze the entire code base regardless of the scope of changes. Only extensions that have passed Code Sniffer testing can be listed in the Commerce Marketplace." Did you try to submit the extension to the marketplace and it is complaining?
    – Dan Staver
    Jan 25 at 19:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.